* {
    margin: 0;
    padding: 0;
    }
    
    html,
    body {
    height: 100%;
    /* for touch screen */
    touch-action: none;
    }
    
    body {
    overflow: hidden;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    background: rgb(0, 0, 0);
    -webkit-perspective: 1200px;
    perspective: 1200px;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    }
    
    #drag-container,
    #spin-container {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: auto;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-transform: rotateX(-0deg);
    transform: rotateX(0deg);
    }
    
    #drag-container,
#spin-container{
    position:relative;
    display:flex;
    margin:auto;
    transform-style:preserve-3d;
    transform:rotateX(-10deg);
}
    #drag-container img,
    #drag-container video {
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    position: absolute;
    left: 0;
    top: 0;
    /* width: 100%; */
    height: 100%;
    line-height: 200px;
    font-size: 50px;
    text-align: center;
    -webkit-box-shadow: 0 0 12px #fff;
    box-shadow: 0 0 2px #fff;
    -webkit-box-reflect: below 10px
    linear-gradient(transparent, transparent, #0005);
    top: 50px;
    }
    
    #drag-container img:hover,
    #drag-container video:hover {
    -webkit-box-shadow: 0 0 15px #fffd;
    box-shadow: 0 0 2px #fffd;
    -webkit-box-reflect: below 10px
    linear-gradient(transparent, transparent, #0007);
    }
    
    #drag-container p {
    font-family: Serif;
    position: absolute;
    top: 100%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotateX(90deg);
    transform: translate(-50%, -50%) rotateX(90deg);
    color: #fff;
    }
    
    #ground {
    width: 1200px;
    height: 1200px;
    position: absolute;
    top: 100%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotateX(90deg);
    transform: translate(-50%, -50%) rotateX(90deg);
    background: -webkit-radial-gradient(
    center center,
    farthest-side,
    rgba(187, 66, 66, 0.2),
    transparent
    );
    }
    
    #music-container {
    position: absolute;
    top: 0;
    left: 0;
    }
    
    @-webkit-keyframes spin {
    from {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    }
    to {
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
    }
    }
    
    @keyframes spin {
    from {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    }
    to {
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
    }
    }
    @-webkit-keyframes spinRevert {
    from {
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
    }
    to {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    }
    }
    @keyframes spinRevert {
    from {
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
    }
    to {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    }
    }
    .center_top {
    display: block;
      width: 1200px;
    /* margin: 0 auto; */
    position: absolute;
    left: 50%;
    top: 80px;
    transform: translate(-50%, -50%);

    }